---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libIndyRedefineClass.dylib'
relocations:
  - { offsetInCU: 0x96, offset: 0x96, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x3DFB8, symBinAddr: 0xC100, symSize: 0x0 }
  - { offsetInCU: 0xA1, offset: 0xA1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x3DFBC, symBinAddr: 0xC104, symSize: 0x0 }
  - { offsetInCU: 0xAC, offset: 0xAC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x3DFC0, symBinAddr: 0xC108, symSize: 0x0 }
  - { offsetInCU: 0xF1, offset: 0xF1, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x3DFC4, symBinAddr: 0xC10C, symSize: 0x0 }
  - { offsetInCU: 0x10F, offset: 0x10F, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x3DFC8, symBinAddr: 0xC110, symSize: 0x0 }
  - { offsetInCU: 0x8D33, offset: 0x8D33, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x3DFD0, symBinAddr: 0xC118, symSize: 0x0 }
  - { offsetInCU: 0x8DBC, offset: 0x8DBC, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x3DFE0, symBinAddr: 0xC128, symSize: 0x0 }
  - { offsetInCU: 0x8DD5, offset: 0x8DD5, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x3DFE8, symBinAddr: 0xC130, symSize: 0x0 }
  - { offsetInCU: 0x8DEE, offset: 0x8DEE, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x3DFF0, symBinAddr: 0xC138, symSize: 0x0 }
  - { offsetInCU: 0x8E07, offset: 0x8E07, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x3DFF8, symBinAddr: 0xC140, symSize: 0x0 }
  - { offsetInCU: 0x8E20, offset: 0x8E20, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x3E000, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8E3A, offset: 0x8E3A, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x3E008, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E79, offset: 0x8E79, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x3E010, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x3E0C8, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x3E0CC, symBinAddr: 0xC214, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x3E0D0, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0x8F3D, offset: 0x8F3D, size: 0x8, addend: 0x0, symName: __ZL28gszRedefineTriggerMethodName, symObjAddr: 0x9A08, symBinAddr: 0xC0E8, symSize: 0x0 }
  - { offsetInCU: 0x8F56, offset: 0x8F56, size: 0x8, addend: 0x0, symName: __ZL25gszRedefinedClassFileName, symObjAddr: 0x9A10, symBinAddr: 0xC0F0, symSize: 0x0 }
  - { offsetInCU: 0x8F6F, offset: 0x8F6F, size: 0x8, addend: 0x0, symName: __ZL17gIsClassRedefined, symObjAddr: 0x3E0D4, symBinAddr: 0xC21C, symSize: 0x0 }
  - { offsetInCU: 0x8F8F, offset: 0x8F8F, size: 0x8, addend: 0x0, symName: __ZL14gPopFrameDepth, symObjAddr: 0x9A18, symBinAddr: 0xC0F8, symSize: 0x0 }
  - { offsetInCU: 0x8FA8, offset: 0x8FA8, size: 0x8, addend: 0x0, symName: __ZL21gIsMethodEntryWorking, symObjAddr: 0x3E0D5, symBinAddr: 0xC21D, symSize: 0x0 }
  - { offsetInCU: 0x8FC8, offset: 0x8FC8, size: 0x8, addend: 0x0, symName: __ZL20gIsSingleStepWorking, symObjAddr: 0x3E0D6, symBinAddr: 0xC21E, symSize: 0x0 }
  - { offsetInCU: 0x8FE8, offset: 0x8FE8, size: 0x8, addend: 0x0, symName: __ZL15gIsErrorOccured, symObjAddr: 0x3E0D7, symBinAddr: 0xC21F, symSize: 0x0 }
  - { offsetInCU: 0x9008, offset: 0x9008, size: 0x8, addend: 0x0, symName: __ZL9gJvmtiEnv, symObjAddr: 0x3E0D8, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x9086, offset: 0x9086, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x3300, symSize: 0x24 }
  - { offsetInCU: 0x9302, offset: 0x9302, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xC70, symBinAddr: 0x3324, symSize: 0x4 }
  - { offsetInCU: 0x9346, offset: 0x9346, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xC70, symBinAddr: 0x3324, symSize: 0x4 }
  - { offsetInCU: 0x9366, offset: 0x9366, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xC74, symBinAddr: 0x3328, symSize: 0x308 }
  - { offsetInCU: 0x9727, offset: 0x9727, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1444, symBinAddr: 0x39E4, symSize: 0xB0 }
  - { offsetInCU: 0x981E, offset: 0x981E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x4A3C, symBinAddr: 0x4A64, symSize: 0x3F8 }
  - { offsetInCU: 0x9A31, offset: 0x9A31, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x15AC, symBinAddr: 0x3A94, symSize: 0xD8 }
  - { offsetInCU: 0x9B4C, offset: 0x9B4C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x22D0, symBinAddr: 0x3F80, symSize: 0x140 }
  - { offsetInCU: 0x9CB7, offset: 0x9CB7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2410, symBinAddr: 0x40C0, symSize: 0x154 }
  - { offsetInCU: 0x9E7B, offset: 0x9E7B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xF7C, symBinAddr: 0x3630, symSize: 0x4 }
  - { offsetInCU: 0x9EBF, offset: 0x9EBF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xF7C, symBinAddr: 0x3630, symSize: 0x4 }
  - { offsetInCU: 0x9F14, offset: 0x9F14, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x1128, symBinAddr: 0x36DC, symSize: 0xA0 }
  - { offsetInCU: 0x9FA9, offset: 0x9FA9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x1100, symBinAddr: 0x36B4, symSize: 0x28 }
  - { offsetInCU: 0xA00C, offset: 0xA00C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x106C, symBinAddr: 0x3634, symSize: 0x80 }
  - { offsetInCU: 0xA0CB, offset: 0xA0CB, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x11C8, symBinAddr: 0x377C, symSize: 0x34 }
  - { offsetInCU: 0xA125, offset: 0xA125, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x11FC, symBinAddr: 0x37B0, symSize: 0x20C }
  - { offsetInCU: 0xA2DE, offset: 0xA2DE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x1408, symBinAddr: 0x39BC, symSize: 0x28 }
  - { offsetInCU: 0xA3E3, offset: 0xA3E3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1844, symBinAddr: 0x3B6C, symSize: 0x168 }
  - { offsetInCU: 0xA5BF, offset: 0xA5BF, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x19AC, symBinAddr: 0x3CD4, symSize: 0x104 }
  - { offsetInCU: 0xA84F, offset: 0xA84F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x1F6C, symBinAddr: 0x3DD8, symSize: 0x1A8 }
  - { offsetInCU: 0xABAF, offset: 0xABAF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x2A8C, symBinAddr: 0x4214, symSize: 0x9C }
  - { offsetInCU: 0xAC6C, offset: 0xAC6C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x2B28, symBinAddr: 0x42B0, symSize: 0x690 }
  - { offsetInCU: 0xB81D, offset: 0xB81D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x6490, symBinAddr: 0x5D20, symSize: 0x30 }
  - { offsetInCU: 0xB8AA, offset: 0xB8AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x31B8, symBinAddr: 0x4940, symSize: 0x74 }
  - { offsetInCU: 0xB972, offset: 0xB972, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x3EE8, symBinAddr: 0x49B4, symSize: 0xB0 }
  - { offsetInCU: 0xBC3D, offset: 0xBC3D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x50FC, symBinAddr: 0x4E5C, symSize: 0xAC }
  - { offsetInCU: 0xBD6A, offset: 0xBD6A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x51A8, symBinAddr: 0x4F08, symSize: 0x2A0 }
  - { offsetInCU: 0xC01B, offset: 0xC01B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x5448, symBinAddr: 0x51A8, symSize: 0x14 }
  - { offsetInCU: 0xC054, offset: 0xC054, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x545C, symBinAddr: 0x51BC, symSize: 0x14 }
  - { offsetInCU: 0xC08D, offset: 0xC08D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x5470, symBinAddr: 0x51D0, symSize: 0x14 }
  - { offsetInCU: 0xC13E, offset: 0xC13E, size: 0x8, addend: 0x0, symName: _copyFromJString, symObjAddr: 0x5954, symBinAddr: 0x51E4, symSize: 0x114 }
  - { offsetInCU: 0xC39B, offset: 0xC39B, size: 0x8, addend: 0x0, symName: _getMethodName, symObjAddr: 0x5A68, symBinAddr: 0x52F8, symSize: 0x2EC }
  - { offsetInCU: 0xC77B, offset: 0xC77B, size: 0x8, addend: 0x0, symName: __ZN13JvmtiResourceD1Ev, symObjAddr: 0x5D54, symBinAddr: 0x55E4, symSize: 0x8C }
  - { offsetInCU: 0xC81A, offset: 0xC81A, size: 0x8, addend: 0x0, symName: _locationToString, symObjAddr: 0x5DE0, symBinAddr: 0x5670, symSize: 0xD0 }
  - { offsetInCU: 0xC91A, offset: 0xC91A, size: 0x8, addend: 0x0, symName: _getTLS, symObjAddr: 0x5EB0, symBinAddr: 0x5740, symSize: 0x194 }
  - { offsetInCU: 0xCAE7, offset: 0xCAE7, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_share_IndyRedefineClass_setRedefineTriggerMethodName, symObjAddr: 0x6044, symBinAddr: 0x58D4, symSize: 0x54 }
  - { offsetInCU: 0xCB60, offset: 0xCB60, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_share_IndyRedefineClass_setRedefinedClassFileName, symObjAddr: 0x6098, symBinAddr: 0x5928, symSize: 0x5C }
  - { offsetInCU: 0xCBD9, offset: 0xCBD9, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_share_IndyRedefineClass_setPopFrameDepthAfterRedefine, symObjAddr: 0x60F4, symBinAddr: 0x5984, symSize: 0xC }
  - { offsetInCU: 0xCC16, offset: 0xCC16, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_share_IndyRedefineClass_checkStatus, symObjAddr: 0x6100, symBinAddr: 0x5990, symSize: 0xD0 }
  - { offsetInCU: 0xCCD1, offset: 0xCCD1, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0x61D0, symBinAddr: 0x5A60, symSize: 0x220 }
  - { offsetInCU: 0xCEE0, offset: 0xCEE0, size: 0x8, addend: 0x0, symName: __ZL13popFrameLogicP9_jvmtiEnvP8_jobject, symObjAddr: 0x6824, symBinAddr: 0x60B4, symSize: 0x28C }
  - { offsetInCU: 0xD1C2, offset: 0xD1C2, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x63F0, symBinAddr: 0x5C80, symSize: 0xA0 }
  - { offsetInCU: 0xD299, offset: 0xD299, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x64C0, symBinAddr: 0x5D50, symSize: 0x358 }
...
